#
# spec file for package ax25tool (Version 0.0.6)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  -lx_suse gpp libax25 libgpp lx_sus22
# usedforbuild    -lx_suse aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libax25 libgpp libtool libz lx_sus22 m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         ax25tool
Copyright:    GPL
Group:        Applications/Hamradio
Provides:     ax25-tools ax25util 
Autoreqprov:  on
Version:      0.0.6
Release:      199
Summary:      AX.25 tools
Source:       ax25-tools-%{version}.tar.gz
Patch:        ax25-tools-%{version}.dif

%description
These are the support utilities required to make use of the
internal AX.25, NET/ROM and Rose support in the linux kernel.
The ax25tools are mostly configuration utilities, applications
can be found in the package ax25apps.

Authors:
--------
    Joerg Reuter DL1BKE <jreuter@yaina.de>
    Rob Mayfield VK5XXX <mayfieldrob@mail.dec.com>
    Klaus Kudielka <oe1kib@oe1xtu.ampr.org>
    Alexander Tietzel DG6XA <tietze_a@etech.fh-hamburg.de>
    Tomi Manninen OH2BNS <tpmannin@cc.hut.fi>
    Frederic Rible F1OAT <frible@teaser.fr>
    Heikki Hannikainen OH7LZB <hessu@pspt.fi>
    Thomas Sailer HB9JNX <sailer@ife.ee.ethz.ch>
    Dave Brown N2RJT <dcb@vectorbd.com>
    John Paul Morrison VE7JPM <jmorriso@bogomips.com>
    David Brown N2RJT <dcb@vectorbd.com>
    Craig Small VK2XLZ <csmall@small.dropbear.id.au>
    Jonathon Naylor G4KLX <g4klx@g4klx.demon.co.uk>

SuSE series: ham

%prep
%setup -n ax25-tools-%{version}
%patch

%build
%{?suse_update_config:%{suse_update_config -f}}
yes | CFLAGS=$RPM_OPT_FLAGS ./configure --prefix=/usr \
	--exec-prefix=/usr  --bindir=/usr/bin --sbindir=/usr/sbin \
	--libexecdir=/usr/libexec --datadir=/usr/share \
	--sysconfdir=/etc --localstatedir=/var --libdir=/usr/lib \
	--includedir=/usr/include --infodir=%{_infodir} \
	--mandir=%{_mandir} %{_target_cpu}-suse-linux 
make

%install
make install
make installconf
mkdir -p /var/ax25/mheard

%files
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README yamdrv/README.yamdrv
%doc dmascc/README.dmascc user_call/README.user_call tcpip/ttylinkd.INSTALL
%doc tcpip/ttylinkd.README
%dir /etc/ax25
%dir /var/ax25/mheard
%config(noreplace) /etc/ax25/ax25.profile
%config(noreplace) /etc/ax25/ax25d.conf
%config(noreplace) /etc/ax25/axspawn.conf
%config(noreplace) /etc/ax25/nrbroadcast
%config(noreplace) /etc/ax25/rip98d.conf
%config(noreplace) /etc/ax25/rxecho.conf
%config(noreplace) /etc/ax25/ttylinkd.conf
/usr/bin/mheard
/usr/bin/sethdlc
/usr/bin/smmixer
#%{_mandir}/man1/dmascc_cfg.1.gz
%{_mandir}/man1/mheard.1.gz
%{_mandir}/man4/ax25.4.gz
%{_mandir}/man4/netrom.4.gz
%{_mandir}/man4/rose.4.gz
%{_mandir}/man5/ax25d.conf.5.gz
%{_mandir}/man5/axspawn.conf.5.gz
%{_mandir}/man5/nrbroadcast.5.gz
%{_mandir}/man5/rip98d.conf.5.gz
%{_mandir}/man5/rxecho.conf.5.gz
%{_mandir}/man5/ttylinkd.conf.5.gz
%{_mandir}/man8/ax25_call.8.gz
%{_mandir}/man8/ax25d.8.gz
%{_mandir}/man8/axctl.8.gz
%{_mandir}/man8/axparms.8.gz
%{_mandir}/man8/axspawn.8.gz
%{_mandir}/man8/beacon.8.gz
%{_mandir}/man8/bpqparms.8.gz
%{_mandir}/man8/kissattach.8.gz
%{_mandir}/man8/kissnetd.8.gz
%{_mandir}/man8/kissparms.8.gz
%{_mandir}/man8/mheardd.8.gz
%{_mandir}/man8/mkiss.8.gz
%{_mandir}/man8/net2kiss.8.gz
%{_mandir}/man8/netrom_call.8.gz
%{_mandir}/man8/netromd.8.gz
%{_mandir}/man8/nodesave.8.gz
%{_mandir}/man8/nrattach.8.gz
%{_mandir}/man8/nrparms.8.gz
%{_mandir}/man8/nrsdrv.8.gz
%{_mandir}/man8/rip98d.8.gz
%{_mandir}/man8/rose_call.8.gz
%{_mandir}/man8/rsattach.8.gz
%{_mandir}/man8/rsdwnlnk.8.gz
%{_mandir}/man8/rsparms.8.gz
%{_mandir}/man8/rsuplnk.8.gz
%{_mandir}/man8/rxecho.8.gz
%{_mandir}/man8/sethdlc.8.gz
%{_mandir}/man8/smmixer.8.gz
%{_mandir}/man8/spattach.8.gz
%{_mandir}/man8/tcp_call.8.gz
%{_mandir}/man8/ttylinkd.8.gz
%{_mandir}/man9/baycom.9.gz
%{_mandir}/man9/hdlcdrv.9.gz
%{_mandir}/man9/soundmodem.9.gz
/usr/sbin/ax25_call
/usr/sbin/ax25d
/usr/sbin/axctl
/usr/sbin/axparms
/usr/sbin/axspawn
/usr/sbin/beacon
/usr/sbin/bpqparms
#/usr/sbin/dmascc_cfg
/usr/sbin/kissattach
/usr/sbin/kissnetd
/usr/sbin/kissparms
/usr/sbin/mcs2h
/usr/sbin/mheardd
/usr/sbin/mkiss
/usr/sbin/net2kiss
/usr/sbin/netrom_call
/usr/sbin/netromd
/usr/sbin/nodesave
/usr/sbin/nrattach
/usr/sbin/nrparms
/usr/sbin/nrsdrv
/usr/sbin/rip98d
/usr/sbin/rose_call
/usr/sbin/rsattach
/usr/sbin/rsdwnlnk
/usr/sbin/rsmemsiz
/usr/sbin/rsparms
/usr/sbin/rsuplnk
/usr/sbin/rsusers.sh
/usr/sbin/rxecho
/usr/sbin/spattach
/usr/sbin/tcp_call
/usr/sbin/ttylinkd
/usr/sbin/yamcfg

%changelog -n ax25tool
* Fri Mar 02 2001 - ro@suse.de
- use doc macro
- dmascc is not built (not in 2.4 sources)
- fix to compile (sockaddr/osockaddr)
* Thu Nov 30 2000 - jreuter@suse.de
- changed group to Applications/Hamradio
* Tue Nov 21 2000 - ro@suse.de
- use 2.2 kernel to compile
* Wed Nov 08 2000 - sim@suse.de
- changed group to Applications/Communications
* Fri Jun 23 2000 - sim@suse.de
- in ax25/bpqparms.c changed #include <linux/timer.h> to <sys/time.h>
* Sun Jun 18 2000 - ro@suse.de
- added suse_update_config
* Tue Jun 06 2000 - ka@suse.de
- update to version 0.0.6
- fixed entries in file list %%{_defaultdocdir}
- added/fixed several spec file entries (Copyright, Group, URL)
- used more macros in spec file
- removed setcrystal from file list and added sethdlc and smmixer
- added several READMEs to doc file list
- do not overwrite config file during update (%%config(noreplace))
* Fri Jun 02 2000 - bubnikv@suse.cz
- added README.yamdrv to filelist
* Thu May 25 2000 - ro@suse.de
- move docs to /usr/share/doc
* Wed Feb 09 2000 - sim@suse.de
- fix for ppc (don't compile setcrystal)
* Wed Feb 02 2000 - kukuk@suse.de
- fix for SPARC (don't compile setcrystal)
* Fri Jan 21 2000 - ro@suse.de
- fixed to compile, man to /usr/man using macro
* Fri Oct 22 1999 - ka@suse.de
- added "make installconf" to specfile
- created directory /var/ax25/mheard during install
- added missing values to configure call
- added nrparms patch from Tomi, OH2BNS
* Thu Sep 16 1999 - ka@suse.de
- update to version 0.0.5
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Thu Aug 12 1999 - ka@suse.de
- more detailed configure call
* Tue Jul 13 1999 - ka@suse.de
- update to version 0.0.3
* Tue Jul 06 1999 - ka@suse.de
- changed spec file to build on alpha
* Wed Jun 23 1999 - ro@suse.de
- added libax25 to neededforbuild
* Fri Jun 11 1999 - ka@suse.de
- initial release of new sources for kernel 2.2.x
- original package ax25util was divided into ax25apps and ax25tool
* Wed May 19 1999 - ro@suse.de
- re-added patch to apps/call.c
* Tue May 18 1999 - ka@suse.de
- added patch for procutils.c
* Tue May 04 1999 - ro@suse.de
- rebuilt diff
- patched to build with glibc-2.1 and on alpha
- rspfd can't work on alpha yet due to inline asm
* Mon Mar 15 1999 - ro@suse.de
- renamed subpackage to ax25dev
* Fri Mar 12 1999 - ka@suse.de
- added sample configuration files to /etc/ax25/
* Thu Mar 11 1999 - ka@suse.de
- initial release
